import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

export type OperParams = {
  OPER_CODE?: string;
  OPER_NAME?: string;
};
export type OperPageParams = BasicPageParams & OperParams;
export interface OperListItem {
  ID: string;
  OPER_CODE: string;
  OPER_NAME: string;
  OPER_TYPE: string;
  FACTORY: string;
  OPER_ACTION: string;
  IS_FPY: string;
  IS_REFLOW: string;
  CREATE_USER: string;
  UPDATE_USER: string;
  UPDATE_TIME: string;
  CREATE_TIME: string;
  REMARK: string;
}

export type CheckRuleParams = {
  RULE_CODE?: string;
  RULE_NAME?: string;
};
export type CheckRulePageParams = BasicPageParams & CheckRuleParams;
export interface CheckRuleListItem {
	ID: string;
	CREATE_TIME: Date;
	CREATE_USER: string;
	UPDATE_TIME: Date;
	UPDATE_USER: string;
	// GHOST_ROW: boolean;
	// AUTH_ORG: string;
	// AUTH_PROD: string;
	// AUTH_WH: string;
	RULE_CODE: string;
	RULE_NAME: string;
	RULE_DESC: string;
	RULE_TYPE: number;
	PRIORITY: number;
	CODE_LENGTH: number;
	CHECK_TYPE: number;
	CHECK_REGEX: string;
	REMARK: string;
}

export type CheckRuleDtlParams = {
  RULE_ID: string;
};
export interface iBAS_CODE_DTL {
	ID: string;
	CREATE_TIME: Date;
	CREATE_USER: string;
	UPDATE_TIME: Date;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	RULE_ID: string;
	RULE_SEQ: number;
	DESCRIPTION: string;
	DATA_TYPE: number;
	DATA_CASE: string;
	DATA_VALUE: string;
	SERIAL_MIN: number;
	SERIAL_MAX: number;
	SERIAL_RESET: number;
	CHECK_TABLE: string;
	CHECK_FIELD: string;
	CHECK_LENGTH: number;
	REPEAT_TIMES: number;
	START_DIGIT: string;
	DATA_REGEX: string;
	REMARK: string;
}

export type MeslineParams = {
  LINE_CODE?: string;
  LINE_NAME?: string;
};
export type MeslinePageParams = BasicPageParams & MeslineParams;
export interface MeslineListItem {
  ID: string;
  LINE_CODE: string;
  LINE_NAME: string;
  WORKSHOP_CODE: string;
  FACTORY_CODE: string;
  ORG_ID: string;
  SHIFTTYPE_CODE: string;
  LOCATION: string;
  IS_ACTIVE: string;
  CREATE_USER: string;
  UPDATE_USER: string;
  UPDATE_TIME: string;
  CREATE_TIME: string;
  REMARK: string;
}

export type MesBomParams = {
  MAT_ID?: string;
  PART_NO?: string;
  PARENT_NO?: string;
};
export type MesBomPageParams = BasicPageParams & MesBomParams;
export interface MesBomListItem {
  ID: string;
  MAT_ID: string;
  PART_NO: string;
  SPART_NO: string;
  FACTORY_CODE: string;
  QTY: string;
  EFFDATE: string;
  PARENT_NO: string;
  PART_STATUS: string;
  CREATE_USER: string;
  UPDATE_USER: string;
  UPDATE_TIME: string;
  CREATE_TIME: string;
  REMARK: string;
}

export type MesModelParams = {
  MAT_MODEL?: string;
  MODEL_NAME?: string;
};
export type MesModelPageParams = BasicPageParams & MesModelParams;
export interface MesModelListItem {
  ID: string;
  MAT_MODEL: string;
  MODEL_NAME: string;
  MODEL_DESC: string;
  FACTORY_CODE: string;
  MAT_LINE: string;
  IS_INV: string;
  MAT_FAMILY: string;
  CREATE_USER: string;
  UPDATE_USER: string;
  UPDATE_TIME: string;
  CREATE_TIME: string;
}
export type OperPageListGetResultModel = BasicFetchResult<OperListItem>;
export type CheckRulePageListGetResultModel = BasicFetchResult<CheckRuleListItem>;
export type MeslinePageListGetResultModel = BasicFetchResult<MeslineListItem>;
export type MesBomPageListGetResultModel = BasicFetchResult<MesBomListItem>;
export type MesModelPageListGetResultModel = BasicFetchResult<MesModelListItem>;
